//
// Created by Falko Alrik Schmidt on 26.09.23.
//

#ifndef UULM_WEATHERBALOON_ARDUINO_FRAMEWORK_TEST_ULM_MS5607_H
#define UULM_WEATHERBALOON_ARDUINO_FRAMEWORK_TEST_ULM_MS5607_H

#include "MS5x.h"

class Ulm_MS5607 : MS5x {

public:
    explicit Ulm_MS5607(int8_t address, TwoWire *aWire = &Wire);
    bool begin();

    double getPressure();
    double getTemperature();
    double getAltitude();

};


#endif //UULM_WEATHERBALOON_ARDUINO_FRAMEWORK_TEST_ULM_MS5607_H
